summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-26 13:23:23 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-05-26 13:23:23 +0000
commite5df8b1c0326fab6643e7318e44f7b41d6cc14f4 (patch)
tree76c871ad352698e547e296141d25d8d7990d15a4 /dev-python
parent53b1c31c8208ea1342e843950c293ce453459c1f (diff)
downloadbaldeagleos-repo-e5df8b1c0326fab6643e7318e44f7b41d6cc14f4.tar.gz
baldeagleos-repo-e5df8b1c0326fab6643e7318e44f7b41d6cc14f4.tar.xz
baldeagleos-repo-e5df8b1c0326fab6643e7318e44f7b41d6cc14f4.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/aws-sam-translator/Manifest1
-rw-r--r--dev-python/aws-sam-translator/aws-sam-translator-1.68.0.ebuild60
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.26.141.ebuild66
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.29.141.ebuild79
-rw-r--r--dev-python/flit/flit-3.8.0.ebuild2
-rw-r--r--dev-python/hkdf/Manifest1
-rw-r--r--dev-python/hkdf/hkdf-0.0.3.ebuild23
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-0.4.1_p20230525.ebuild9
-rw-r--r--dev-python/magic-wormhole-transit-relay/Manifest1
-rw-r--r--dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1.ebuild23
-rw-r--r--dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1_p20230525.ebuild17
-rw-r--r--dev-python/magic-wormhole/Manifest1
-rw-r--r--dev-python/magic-wormhole/magic-wormhole-0.12.0_p20230525.ebuild51
-rw-r--r--dev-python/magic-wormhole/metadata.xml (renamed from dev-python/hkdf/metadata.xml)0
-rw-r--r--dev-python/noiseprotocol/Manifest1
-rw-r--r--dev-python/noiseprotocol/metadata.xml11
-rw-r--r--dev-python/noiseprotocol/noiseprotocol-0.3.1.ebuild26
-rw-r--r--dev-python/orjson/Manifest1
-rw-r--r--dev-python/orjson/orjson-3.8.14.ebuild77
-rw-r--r--dev-python/paramiko/Manifest1
-rw-r--r--dev-python/paramiko/files/paramiko-3.2.0-disable-server.patch58
-rw-r--r--dev-python/paramiko/files/paramiko-3.2.0-nih-test-deps.patch134
-rw-r--r--dev-python/paramiko/paramiko-3.2.0.ebuild57
-rw-r--r--dev-python/shiboken2/shiboken2-5.15.9.ebuild2
-rw-r--r--dev-python/spake2/files/spake2-0.8-do_not_use_hkdf_package.patch113
-rw-r--r--dev-python/spake2/spake2-0.8-r1.ebuild (renamed from dev-python/spake2/spake2-0.8.ebuild)8
-rw-r--r--dev-python/xarray/xarray-2023.4.2.ebuild2
-rw-r--r--dev-python/zeroconf/Manifest1
-rw-r--r--dev-python/zeroconf/zeroconf-0.63.0.ebuild56
33 files changed, 854 insertions, 42 deletions
diff --git a/dev-python/aws-sam-translator/Manifest b/dev-python/aws-sam-translator/Manifest
index 73b89cabceb6..30a6fb59eb9e 100644
--- a/dev-python/aws-sam-translator/Manifest
+++ b/dev-python/aws-sam-translator/Manifest
@@ -1,2 +1,3 @@
DIST serverless-application-model-1.66.0.gh.tar.gz 5779523 BLAKE2B 7ec6eb68a74686cc7f1acb160582065b7ca50d56f400c7111a2b47733e6e238e010ba912236c60207b7dba65005333507e2babd8022244cea1bea0691300b947 SHA512 fbcc799bc0935c17fa5f9ae655d8e722e659c78c0f4ea6325f2f0a89f6bbad3b8f43951a60e950de1effe699cc858b696a95fbfceb3d7b79eb35cd4d2c618846
DIST serverless-application-model-1.67.0.gh.tar.gz 5786955 BLAKE2B d80e24e5e371daa0ad189ef01ca16a2a2be76902d38c2b77b7e1b7e832e1c776f58dc079b140a328a7f33f211cd9af1eab3d40490c74db342949321a1745fc81 SHA512 0828b9e5e3284dd1787bd168303f32118f8597dd2bf57361b05e86a1337ae2fcb5866a5cb59bb5afc830f44f101dd833e56198198693c154d307ecb841704182
+DIST serverless-application-model-1.68.0.gh.tar.gz 5807706 BLAKE2B 82d596bf9c93ca9f45cf7d9f6bbfbe46c0e845eb618f7619377f74a6e9e3971c60ba1ac6a73e5247f292553e1efaff723bbb66503bec74731eac97661a325950 SHA512 40a6961556e6e162d45d521f31fd086da77ce2e4e93d081d7be41f47779673513e09f8d48953b53410d59800942c9514eacb765d55534a3df4e2cddc09d658c7
diff --git a/dev-python/aws-sam-translator/aws-sam-translator-1.68.0.ebuild b/dev-python/aws-sam-translator/aws-sam-translator-1.68.0.ebuild
new file mode 100644
index 000000000000..8d58efa50f75
--- /dev/null
+++ b/dev-python/aws-sam-translator/aws-sam-translator-1.68.0.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=serverless-application-model-${PV}
+DESCRIPTION="A library that transform SAM templates into AWS CloudFormation templates"
+HOMEPAGE="
+ https://github.com/aws/serverless-application-model/
+ https://pypi.org/project/aws-sam-translator/
+"
+SRC_URI="
+ https://github.com/aws/serverless-application-model/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/boto3-2[${PYTHON_USEDEP}]
+ >=dev-python/boto3-1.19.5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.2[${PYTHON_USEDEP}]
+ <dev-python/pydantic-2[${PYTHON_USEDEP}]
+ >=dev-python/pydantic-1.8[${PYTHON_USEDEP}]
+ <dev-python/typing-extensions-5[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.4[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # so much noise...
+ sed -i -e '/log_cli/d' pytest.ini || die
+
+ # deps are installed by ebuild, don't try to reinstall them via pip
+ truncate --size=0 requirements/*.txt || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x AWS_DEFAULT_REGION=us-east-1
+ epytest -o addopts=
+}
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index b1ab440fa518..d667a16706e9 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -4,3 +4,4 @@ DIST boto3-1.26.137.gh.tar.gz 650777 BLAKE2B e4a7d02ccefbda53b33558dc107457eaa1d
DIST boto3-1.26.138.gh.tar.gz 651104 BLAKE2B 58c7c71c97567b167d9c0afc376161b60155ce31984e2b9e0d72a152fe8825fe50258ea2b917489d7b041ada1212c6516ed5176e61fa9fc900a1ae9306fe382c SHA512 81c3873afca46cfcc60559236ec61db92a9d040fb7e192c2aa0c663416ff954740d2aea2ab5d8e417fc2909413fed6dd3684d7e0b05c863bbed9abac4d02a1d8
DIST boto3-1.26.139.gh.tar.gz 651459 BLAKE2B ba1c0c45c0cd78622ca34bcbfb3c8961c0555ed9fa16d8cb89363880d8cf6911183758ed7e4f44a098413b47d2d6b3c1ee4e57f05561947d7660a969e4e7be2d SHA512 971ce067318642e2f4a13cb77b29410d97b5c8e7cff28e76d7983f95bb5f593697bebc6d744517b5c7e760b5b30980370befe86a97d1162882a13428833b0a5b
DIST boto3-1.26.140.gh.tar.gz 651805 BLAKE2B 2b58cee4e5c199af29e359790abfbb6eb536be3ded95aead640fdf179a0150875753cc9d066b70b08b0f9db6ef12d9fd3e5dbc4d9c481872f894c24a5f279f5f SHA512 f73fddf2674ee0bdbca37b6231d9b512286c73f5e815573eadb1f8ae855749a58492eed20fd03a2494392b7f146c86ba355ed2381aefbc5251fcae366749c277
+DIST boto3-1.26.141.gh.tar.gz 652608 BLAKE2B 8e11b0cdc694f751dfa99391a2364b3c809c8f5f9bbcd37341fb44f14d49a9c702f812cb76ea7ec1473f7ce32ffef62bc86d28664ce7f88bf44f23ea86516b1d SHA512 441b8e76fd658fc1146b0df0734e3ad8c0ffb4afa284387615dcd6706f3d4efb6af8e61f1a62b4e0b9aa6a516aa9c63d7b627c6c0f37b24375fa5091d1672181
diff --git a/dev-python/boto3/boto3-1.26.141.ebuild b/dev-python/boto3/boto3-1.26.141.ebuild
new file mode 100644
index 000000000000..03c610b184f7
--- /dev/null
+++ b/dev-python/boto3/boto3-1.26.141.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 1b1fad5229c0..6a7faedc98ce 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -4,3 +4,4 @@ DIST botocore-1.29.137.gh.tar.gz 11508178 BLAKE2B 2f74fd2f3923672a4fcd501f1c5ba4
DIST botocore-1.29.138.gh.tar.gz 11516247 BLAKE2B eb8195ff412de996fcdd9cb2f44f20476b1418f328016721099ed7dc2a7159a5bbc819f752ea2188c46edb0d701a0481f7823cb50d0da5712d61f7b9a5f0799e SHA512 02bf92e2481aa27796186f8c457ce1e3d833bcf5d647dab3fe6347760106ccc8f73a3c7d55700ad72fc0210e8229c905e617a8d65a63542eaadab01e1c798bb3
DIST botocore-1.29.139.gh.tar.gz 11517015 BLAKE2B 4c765477aae729788325fef1a7f13bc5ed641883f5d0bfa423bfa942a229c15a8d3e87a7670ffae673fec5dcd25416d9f77072bda41af9e18a9784668aea54a8 SHA512 374054ff9006c2deaf1b7d5c796ca0d1473bd6313402bcbb9b2d1ae25fe97b5d3d02e015952fb9d9dfdda3aaedae02359e943dbb8b0f9acb50595a98ca20b8b6
DIST botocore-1.29.140.gh.tar.gz 11521020 BLAKE2B 9d7ed6713b9005285bb94dc3cf69d622d70042feb6a306bb7aab06bed2f7d2c4f316f830dc18befb73c0c77d0502f592f29c2cf86eab8a6e6426adca25cf11e4 SHA512 243d58f8f2c61402f2b84e3a62076579a03e278d8a4c8d42e80106e23a3c72e73f666c617834717fee9bb22cf0ad45ec0f8e622a20a8165a269659b6d305fbe7
+DIST botocore-1.29.141.gh.tar.gz 11526447 BLAKE2B 1568e42d0013ad144536597084dbe9922194d8d0a9c84fd1194d260ad1d46f6e66cc05257c21b5f435a50bbb3149055d3617ad4fb4f8858885bb00c77e52c0af SHA512 e16add447c0217a60a1db283bb1d7b08d36e74f21ef979a0a8bdfc0168b19084a7b41beb760a46c17d6487f1dd4ebcec04076d651b73cb2f68bd993ca6528fb6
diff --git a/dev-python/botocore/botocore-1.29.141.ebuild b/dev-python/botocore/botocore-1.29.141.ebuild
new file mode 100644
index 000000000000..509d06dedf97
--- /dev/null
+++ b/dev-python/botocore/botocore-1.29.141.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ # TODO
+ tests/functional/test_credentials.py::SSOSessionTest::test_token_chosen_from_provider
+ # urllib3-2 compatibility, mock relies on implementation details
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_no_response_from_server
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_returned
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_continue_sends_307
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_expect_100_sends_connection_header
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_handles_expect_100_with_different_reason_phrase
+ tests/unit/test_awsrequest.py::TestAWSHTTPConnection::test_state_reset_on_connection_close
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/flit/flit-3.8.0.ebuild b/dev-python/flit/flit-3.8.0.ebuild
index bc9b932e4a64..1d396551a2ad 100644
--- a/dev-python/flit/flit-3.8.0.ebuild
+++ b/dev-python/flit/flit-3.8.0.ebuild
@@ -49,6 +49,6 @@ distutils_enable_sphinx doc \
src_prepare() {
# make sure system install is used
- rm -r flit-core || die
+ rm -r flit_core || die
distutils-r1_src_prepare
}
diff --git a/dev-python/hkdf/Manifest b/dev-python/hkdf/Manifest
deleted file mode 100644
index 61dbb31a62b7..000000000000
--- a/dev-python/hkdf/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST hkdf-0.0.3.gh.tar.gz 6784 BLAKE2B 3034db59d29c9e4ee9b0e94b7927a63df3691d927ac8dc61f7599b55ee4cd27bb3d08fff6cc5dc650e75db74a2fa67cc2004d960558519423fd747455a2874bc SHA512 6738bcebd6a8d48d7389340f0a30cf66114bf5dd4909fd5cfd09d61a39affb851f2cb4143eb9a7e9a4d27bd89797216ec51c635f57b9e3e3573b2719436bcab4
diff --git a/dev-python/hkdf/hkdf-0.0.3.ebuild b/dev-python/hkdf/hkdf-0.0.3.ebuild
deleted file mode 100644
index d965b595210a..000000000000
--- a/dev-python/hkdf/hkdf-0.0.3.ebuild
+++ /dev/null
@@ -1,23 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{7,8,9,10,11} )
-DISTUTILS_USE_PEP517=setuptools
-
-# corresponding to upstream version 0.0.3
-COMMIT_SHA1="cc3c9dbf0a271b27a7ac5cd04cc1485bbc3b4307"
-
-inherit distutils-r1 vcs-snapshot
-
-DESCRIPTION="HMAC-based Extract-and-Expand Key Derivation Function (HKDF)"
-HOMEPAGE="https://pypi.org/project/hkdf"
-SRC_URI="https://github.com/casebeer/python-hkdf/archive/${COMMIT_SHA1}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-S="${WORKDIR}/${P}.gh"
-
-distutils_enable_tests nose
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index e9da2ac43cac..a11d7c268c91 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1,3 +1 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
-EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
-MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 020e07f2a3dd..ddb5b0f1787e 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -2,11 +2,9 @@
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
- <email>marcin.deranek@slonko.net</email>
- <name>Marcin Deranek</name>
+ <email>cyber+gentoo@sysrq.in</email>
+ <name>Anna</name>
</maintainer>
- <upstream>
- <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
- </upstream>
- <origin>slonko-overlay</origin>
+
+ <origin>gentoo-guru-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-0.4.1_p20230525.ebuild b/dev-python/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-0.4.1_p20230525.ebuild
index e21e13609189..1eba7f14465f 100644
--- a/dev-python/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-0.4.1_p20230525.ebuild
+++ b/dev-python/magic-wormhole-mailbox-server/magic-wormhole-mailbox-server-0.4.1_p20230525.ebuild
@@ -9,7 +9,7 @@ DISTUTILS_USE_PEP517=setuptools
# Version 0.4.1 with additional upstream fixes for python 3.11 support
COMMIT_SHA1="39672ae95a2635ba9daaba62f483aa75bfd80a22"
-inherit distutils-r1 vcs-snapshot
+inherit distutils-r1
DESCRIPTION="Mailbox server for magic-wormhole"
HOMEPAGE="https://magic-wormhole.readthedocs.io/en/latest/ https://pypi.org/project/magic-wormhole-mailbox-server/"
@@ -18,12 +18,15 @@ SRC_URI="https://github.com/magic-wormhole/${PN}/archive/${COMMIT_SHA1}.tar.gz -
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-S="${WORKDIR}/${P}.gh"
+S="${WORKDIR}/magic-wormhole-mailbox-server-${COMMIT_SHA1}"
RDEPEND="
dev-python/autobahn[${PYTHON_USEDEP}]
dev-python/twisted[ssl,${PYTHON_USEDEP}]"
-BDEPEND="test? ( dev-python/treq[${PYTHON_USEDEP}] )"
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/treq[${PYTHON_USEDEP}]
+ )"
distutils_enable_tests pytest
diff --git a/dev-python/magic-wormhole-transit-relay/Manifest b/dev-python/magic-wormhole-transit-relay/Manifest
index 05dd4669ab5a..6ddedcfde874 100644
--- a/dev-python/magic-wormhole-transit-relay/Manifest
+++ b/dev-python/magic-wormhole-transit-relay/Manifest
@@ -1 +1,2 @@
+DIST magic-wormhole-transit-relay-0.2.1.gh.tar.gz 45936 BLAKE2B ffb05c716a35e688801150c3fd6de28cf557ed346091400f9eeb9335b6815425624e70d61f54be8f0a1e8bb15e874528f7cfcef1e8f0a2f8d3cd4285adb1db3a SHA512 dcc309de800d9023ff106ea7b67da4814006ee50e517570c046f2dff20573306b3d5f7c4e227186b2b6f8ff7cb71e02e41499766badf299d859a0e5628066162
DIST magic-wormhole-transit-relay-0.2.1_p20230525.gh.tar.gz 55549 BLAKE2B 36184ce5034f8a5b684fb82a9e6debd1f945a119c9daa155e5bec0041dd986668573b7843efde8bbce2dbf2630774b7a195e28443c070760e234e0214c51dcc3 SHA512 c8270b8daebaf2d6403f0cbc6ff8a5c37fec6fd28ce0d441c834f5bcfcb1e0dedfb953acdf9711b6077c0e5fce3fba37447f2c29ed424ba64d8c2a9519b5eed8
diff --git a/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1.ebuild b/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1.ebuild
new file mode 100644
index 000000000000..18c8b01a554d
--- /dev/null
+++ b/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Transit relay server for magic-wormhole"
+HOMEPAGE="https://magic-wormhole.readthedocs.io/en/latest/ https://pypi.org/project/magic-wormhole-transit-relay/"
+SRC_URI="https://github.com/magic-wormhole/${PN}/archive/refs/tags/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/autobahn[${PYTHON_USEDEP}]
+ dev-python/twisted[ssl,${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1_p20230525.ebuild b/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1_p20230525.ebuild
index a90b27e7d9f0..bda2aaa340db 100644
--- a/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1_p20230525.ebuild
+++ b/dev-python/magic-wormhole-transit-relay/magic-wormhole-transit-relay-0.2.1_p20230525.ebuild
@@ -10,7 +10,7 @@ DISTUTILS_USE_PEP517=setuptools
# miscelleanous bufixes
COMMIT_SHA1="db48e915311d1d10c748bb5299e2345c74e90a1b"
-inherit distutils-r1 vcs-snapshot
+inherit distutils-r1
DESCRIPTION="Transit relay server for magic-wormhole"
HOMEPAGE="https://magic-wormhole.readthedocs.io/en/latest/ https://pypi.org/project/magic-wormhole-transit-relay/"
@@ -19,10 +19,23 @@ SRC_URI="https://github.com/magic-wormhole/${PN}/archive/${COMMIT_SHA1}.tar.gz -
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-S="${WORKDIR}/${P}.gh"
+S="${WORKDIR}/magic-wormhole-transit-relay-${COMMIT_SHA1}"
RDEPEND="
dev-python/autobahn[${PYTHON_USEDEP}]
dev-python/twisted[ssl,${PYTHON_USEDEP}]"
+BDEPEND="test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )"
+
distutils_enable_tests pytest
+
+python_test() {
+ # deselect test_buff_fill test because it exhibits intermittent hangs,
+ # bug #907200
+ local EPYTEST_DESELECT=(
+ src/wormhole_transit_relay/test/test_backpressure.py::TransitWebSockets::test_buffer_fill
+ )
+ epytest
+}
diff --git a/dev-python/magic-wormhole/Manifest b/dev-python/magic-wormhole/Manifest
new file mode 100644
index 000000000000..95132edb3b84
--- /dev/null
+++ b/dev-python/magic-wormhole/Manifest
@@ -0,0 +1 @@
+DIST magic-wormhole-0.12.0_p20230525.gh.tar.gz 281332 BLAKE2B daf9e39c89d8591584b25f142de2e66757a31970179f38e2fb74e112295e637f94930127bd3c0c1cc1243ac559dc4885bab3e7892b112dbf174b0514b49051c0 SHA512 ef5be6396fb9d6e35c64baeeaaea269526f9f8127eaf1bdd7b7b693a0272885388c4d6dc9fac87f6355eff5e9fe94450aebeafd2009b7d74f6772922a2796cbd
diff --git a/dev-python/magic-wormhole/magic-wormhole-0.12.0_p20230525.ebuild b/dev-python/magic-wormhole/magic-wormhole-0.12.0_p20230525.ebuild
new file mode 100644
index 000000000000..0df1c933169a
--- /dev/null
+++ b/dev-python/magic-wormhole/magic-wormhole-0.12.0_p20230525.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+# Version 0.12.0 with additional upstream fixes for python 3.11 support and
+# miscellanous improvements
+COMMIT_SHA1="8af8888d171791943b9fab036f0e0067b87c9b59"
+
+inherit distutils-r1
+
+DESCRIPTION="Get Things From One Computer To Another, Safely"
+HOMEPAGE="https://magic-wormhole.readthedocs.io/en/latest/ https://pypi.org/project/magic-wormhole/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${COMMIT_SHA1}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+S="${WORKDIR}/magic-wormhole-${COMMIT_SHA1}"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/autobahn[${PYTHON_USEDEP}]
+ dev-python/automat[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/humanize[${PYTHON_USEDEP}]
+ dev-python/noiseprotocol[${PYTHON_USEDEP}]
+ dev-python/pynacl[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/spake2[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-python/twisted[ssl,${PYTHON_USEDEP}]
+ dev-python/txtorcon[${PYTHON_USEDEP}]"
+
+#
+# magic-wormhole-0.12.0_p20230525 requires the released
+# magic-wormhole-transit-relay-0.21 for setting up its unit tests. This
+# hopefully will be resolved soon with the upcoming releases (of wormhole,
+# mailbox-server, and transit-relay).
+#
+BDEPEND="
+ test? (
+ dev-python/magic-wormhole-mailbox-server[${PYTHON_USEDEP}]
+ ~dev-python/magic-wormhole-transit-relay-0.2.1[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hkdf/metadata.xml b/dev-python/magic-wormhole/metadata.xml
index f517494cf1e1..f517494cf1e1 100644
--- a/dev-python/hkdf/metadata.xml
+++ b/dev-python/magic-wormhole/metadata.xml
diff --git a/dev-python/noiseprotocol/Manifest b/dev-python/noiseprotocol/Manifest
new file mode 100644
index 000000000000..5d810f0b2e08
--- /dev/null
+++ b/dev-python/noiseprotocol/Manifest
@@ -0,0 +1 @@
+DIST noiseprotocol-0.3.1.gh.tar.gz 308734 BLAKE2B 952bc1f7615c209d031104a54f4e31fefa5deac064c70d589198bb8e82c1847c529e93a582d5cb9210aa199d0ea0ecb878b9d81318bc27c90e93027e8000f2a9 SHA512 4b9ebbf891366564238922355fe2c557830f11f8933c13f7abf4e035167adaa83cb8f30897b500227f9ac8ed46a8ae752e83a0088456edf8696626c4bd4a149e
diff --git a/dev-python/noiseprotocol/metadata.xml b/dev-python/noiseprotocol/metadata.xml
new file mode 100644
index 000000000000..f517494cf1e1
--- /dev/null
+++ b/dev-python/noiseprotocol/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>tamiko@gentoo.org</email>
+ <name>Matthias Maier</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+ <stabilize-allarches/>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/noiseprotocol/noiseprotocol-0.3.1.ebuild b/dev-python/noiseprotocol/noiseprotocol-0.3.1.ebuild
new file mode 100644
index 000000000000..fb2076b7a55c
--- /dev/null
+++ b/dev-python/noiseprotocol/noiseprotocol-0.3.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+DISTUTILS_USE_PEP517=setuptools
+
+inherit distutils-r1
+
+DESCRIPTION="Implementation of Noise Protocol Framework. Compatible with revisions 32 and 33."
+HOMEPAGE="https://pypi.org/project/noiseprotocol"
+SRC_URI="https://github.com/plizonczyk/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/cryptography[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ default
+ rm -r "examples" || die "rm failed"
+}
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index fdd5e26c22c4..f272fa45ac3d 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -25,6 +25,7 @@ DIST orjson-3.8.10.tar.gz 836541 BLAKE2B 90c7e1a298ffd4af93f26312f501c558a642116
DIST orjson-3.8.11.tar.gz 659654 BLAKE2B 3e55bdc18447cf181e580797c96c132070a35790acc25a9d46228e072d3f259622c45bf0310f3d69692520d009dbd7f27a0a40dc53e933ce49eceb591f148b7e SHA512 a6e898ab83abe45f1f285343985c7e638579cfefd5c453ac184a54d02b44f1ea7ab13ca5a3a20ac149e3b93da6a194e963dd816006c49c21abcf8aad9cfb13cf
DIST orjson-3.8.12.tar.gz 669172 BLAKE2B 7b3b57a5a81c9d77f39f07d5c3349aff65f0628b7bf0ad8aeba74c9b0c18d3a173aed4539db81f4d00c666eca933bc0bad511ecf6e82c9001f520c076653f4d3 SHA512 c2a6a106721e5c84d52ccc255b60fb3da67d442604c5dd5e2dea63a6d52eece87fd3d1d81a2691c1f93b4c21a0f608a8c1ea6b19d8ba4995584a562780ff39e9
DIST orjson-3.8.13.tar.gz 4213635 BLAKE2B 3bc934f7a851e6d1f7e888fc8d095c40478f372a4737972c58a95c0c50874a9bd0ad8d379782cad2f460deb9af8606aac23743123c7acad00d6f8e1e111aa9cb SHA512 9b458f4a9aadd5985ffc7f2cbfc07485a89c101b5053987995d47e4f574131dcaff8fafa6c132764067bbf33800a2a5fe5040f9884e52c28ca6c87cd9c26ddb8
+DIST orjson-3.8.14.tar.gz 4214204 BLAKE2B 49e21d252dfd3dda861f419ab673eaebf4f727ddeb362be735de429a51b16cdf24dd8f161898cf3a912d7f2cf6af1d3a0f236833cc036cbdd61d30b41612c57e SHA512 6c737396f0b59c6c519fa38c401edad01e132c3031b346b1982a97a965a5f5a64fe28eaee51fc797d04998ac4016383bd79067d670ad3ed022cd2ab03bfb6b05
DIST orjson-3.8.9.tar.gz 657071 BLAKE2B 7486ecedd2c80e9fd7a7de907f18b3ebea2f7aa992d81f3ac21caa0e515167ad94c516081a0e2a0059dc9ac734f3d98b0da2381db10574f6e35475e9ef824be1 SHA512 a1409de1b099011ac8566110c08502708b42339ab7ff3b1e6600840aa32d655ddf4960128e50fe174278ded119e3996f662fe2faa3d3284ca42c56f2f8bb5d7d
DIST packed_simd_2-0.3.8.crate 97388 BLAKE2B 89d2a1401efef8e0a665d883b41a587601cd4704a6acf80c542f3e6e274a6fa9c975a03799857c409c8764bf6698784cf85f1fb73b4fab2c4f98b368326760c4 SHA512 de1ff7cc43f6d0f6e2a94073ab80bd178864d375d334c4d8aaf30f8ae3320b6aa470f14b25babc264d9032af0c4fa7663e442321fc91acbd7adc7550b5177984
DIST pyo3-build-config-0.18.2.crate 29138 BLAKE2B ad37bacda5f0e5c8eaf382b3371de251b83c721dc2378a0bd3700462bb65273bcd4277589084f6af0a2959f17b370fe5e6a5699c8689107220333c57387bf0ae SHA512 01f544938d83a8283f5101f69673f8a39d2052186e7c712709be25c5ae17a11e7d68c2fd9b4bc7661fff9343ebf3ccc196c1259321061f048c59696692601ae1
diff --git a/dev-python/orjson/orjson-3.8.14.ebuild b/dev-python/orjson/orjson-3.8.14.ebuild
new file mode 100644
index 000000000000..b97426ae6fc3
--- /dev/null
+++ b/dev-python/orjson/orjson-3.8.14.ebuild
@@ -0,0 +1,77 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Autogenerated by pycargoebuild 0.6.1
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+CRATES="
+ ahash-0.8.3
+ arrayvec-0.7.2
+ associative-cache-1.0.1
+ autocfg-1.1.0
+ beef-0.5.2
+ bytecount-0.6.3
+ castaway-0.2.2
+ cc-1.0.79
+ cfg-if-1.0.0
+ chrono-0.4.24
+ compact_str-0.7.0
+ encoding_rs-0.8.32
+ itoa-1.0.6
+ itoap-1.0.1
+ libc-0.2.144
+ libm-0.1.4
+ num-integer-0.1.45
+ num-traits-0.2.15
+ once_cell-1.17.1
+ packed_simd_2-0.3.8
+ pyo3-build-config-0.18.3
+ pyo3-ffi-0.18.3
+ rustversion-1.0.12
+ ryu-1.0.13
+ serde-1.0.163
+ serde_json-1.0.96
+ simdutf8-0.1.4
+ smallvec-1.10.0
+ static_assertions-1.1.0
+ target-lexicon-0.12.7
+ version_check-0.9.4
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy"
+HOMEPAGE="
+ https://github.com/ijl/orjson/
+ https://pypi.org/project/orjson/
+"
+SRC_URI+="
+ $(cargo_crate_uris)
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ dev-python/pendulum[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+distutils_enable_tests pytest
diff --git a/dev-python/paramiko/Manifest b/dev-python/paramiko/Manifest
index e8f8b589c1eb..1b3bc344a812 100644
--- a/dev-python/paramiko/Manifest
+++ b/dev-python/paramiko/Manifest
@@ -1 +1,2 @@
DIST paramiko-3.1.0.gh.tar.gz 351910 BLAKE2B 7350626f3a8e54d8950085cbd8253f5564355abb4db7c65113c0df22674e3df0081da7299cfad779f1fcf9569b01720b6ab5dc2bde32c4a71500e79910caf4c8 SHA512 1a556a5b7a6ebc72a0c61b59f326a95c9f2784d74fdc1a171455867ba7b4b07a15741e168747b5a3a225685ad069e2d58021f54dadf7feb00f8acf65b0c07d51
+DIST paramiko-3.2.0.gh.tar.gz 374709 BLAKE2B 80ec5678a51dc8a0eadd28228ae70a8912fb9a4be1807f5f65a925dd2252fd43ebba6f63b350b62ff7545d9ed0db6e4a78710fb73cff332e6d1ed996b0f1a7d9 SHA512 1d87a19284cef73a76eb7402d0492eb35d4a0588becd2f67ba19fe1498d6c10927127617398de11184d4865c8ce0f3e0c48194d50ef546414a17cf6faff3c39d
diff --git a/dev-python/paramiko/files/paramiko-3.2.0-disable-server.patch b/dev-python/paramiko/files/paramiko-3.2.0-disable-server.patch
new file mode 100644
index 000000000000..942f5161ee6f
--- /dev/null
+++ b/dev-python/paramiko/files/paramiko-3.2.0-disable-server.patch
@@ -0,0 +1,58 @@
+From a47e9bdc80224c9ceafcea6da5cea1539ddfbd4d Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 26 May 2023 06:05:13 +0200
+Subject: [PATCH 3/3] Disable server component due to security issues
+
+---
+ paramiko/transport.py | 4 ++++
+ tests/conftest.py | 5 +++++
+ 2 files changed, 9 insertions(+)
+
+diff --git a/paramiko/transport.py b/paramiko/transport.py
+index 8785d6bb..803d07d1 100644
+--- a/paramiko/transport.py
++++ b/paramiko/transport.py
+@@ -120,6 +120,8 @@ from paramiko.util import (
+ )
+
+
++SERVER_DISABLED_BY_GENTOO = True
++
+ # for thread cleanup
+ _active_threads = []
+
+@@ -768,6 +770,8 @@ class Transport(threading.Thread, ClosingContextManager):
+ `.SSHException` -- if negotiation fails (and no ``event`` was
+ passed in)
+ """
++ if SERVER_DISABLED_BY_GENTOO:
++ raise Exception("Disabled by Gentoo for security reasons. Enable with 'server' USE flag")
+ if server is None:
+ server = ServerInterface()
+ self.server_mode = True
+diff --git a/tests/conftest.py b/tests/conftest.py
+index 7546aae4..804a289e 100644
+--- a/tests/conftest.py
++++ b/tests/conftest.py
+@@ -16,6 +16,7 @@ from paramiko import (
+ Ed25519Key,
+ ECDSAKey,
+ PKey,
++ transport,
+ )
+
+ from ._loop import LoopSocket
+@@ -23,6 +24,10 @@ from ._stub_sftp import StubServer, StubSFTPServer
+ from ._util import _support
+
+
++# We need the server component for testing
++transport.SERVER_DISABLED_BY_GENTOO = False
++
++
+ # Perform logging by default; pytest will capture and thus hide it normally,
+ # presenting it on error/failure. (But also allow turning it off when doing
+ # very pinpoint debugging - e.g. using breakpoints, so you don't want output
+--
+2.40.1
+
diff --git a/dev-python/paramiko/files/paramiko-3.2.0-nih-test-deps.patch b/dev-python/paramiko/files/paramiko-3.2.0-nih-test-deps.patch
new file mode 100644
index 000000000000..84fb618dffb8
--- /dev/null
+++ b/dev-python/paramiko/files/paramiko-3.2.0-nih-test-deps.patch
@@ -0,0 +1,134 @@
+From 33c56a44f425bb5c4bf63759fbe85cfee06ab087 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Tue, 17 May 2022 07:26:36 +0200
+Subject: [PATCH 1/3] Replace pytest-relaxed with plain pytest.raises
+
+There is really no technical reason to bring pytest-relaxed to call
+@raises as a decorator while plain pytest works just fine. Plus,
+pytest.raises() is used in test_sftp already.
+
+pytest-relaxed causes humongous breakage to other packages
+on the system. It has been banned from Gentoo for this reason.
+---
+ tests/test_client.py | 19 +++++++++----------
+ 1 file changed, 9 insertions(+), 10 deletions(-)
+
+diff --git a/tests/test_client.py b/tests/test_client.py
+index 1c0c6c84..c12cbe9a 100644
+--- a/tests/test_client.py
++++ b/tests/test_client.py
+@@ -33,7 +33,6 @@ import weakref
+ from tempfile import mkstemp
+
+ import pytest
+-from pytest_relaxed import raises
+ from unittest.mock import patch, Mock
+
+ import paramiko
+@@ -799,11 +798,11 @@ class PasswordPassphraseTests(ClientTest):
+
+ # TODO: more granular exception pending #387; should be signaling "no auth
+ # methods available" because no key and no password
+- @raises(SSHException)
+ @requires_sha1_signing
+ def test_passphrase_kwarg_not_used_for_password_auth(self):
+- # Using the "right" password in the "wrong" field shouldn't work.
+- self._test_connection(passphrase="pygmalion")
++ with pytest.raises(SSHException):
++ # Using the "right" password in the "wrong" field shouldn't work.
++ self._test_connection(passphrase="pygmalion")
+
+ @requires_sha1_signing
+ def test_passphrase_kwarg_used_for_key_passphrase(self):
+@@ -823,15 +822,15 @@ class PasswordPassphraseTests(ClientTest):
+ password="television",
+ )
+
+- @raises(AuthenticationException) # TODO: more granular
+ @requires_sha1_signing
+ def test_password_kwarg_not_used_for_passphrase_when_passphrase_kwarg_given( # noqa
+ self,
+ ):
+ # Sanity: if we're given both fields, the password field is NOT used as
+ # a passphrase.
+- self._test_connection(
+- key_filename=_support("test_rsa_password.key"),
+- password="television",
+- passphrase="wat? lol no",
+- )
++ with pytest.raises(AuthenticationException):
++ self._test_connection(
++ key_filename=_support("test_rsa_password.key"),
++ password="television",
++ passphrase="wat? lol no",
++ )
+--
+2.40.1
+
+From a75bdc46a6eb72a0b0e80eeafad2e2a2536a9bd8 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Sat, 21 Jan 2023 06:56:09 +0100
+Subject: [PATCH 2/3] Remove icecream dep
+
+---
+ tests/conftest.py | 7 -------
+ 1 file changed, 7 deletions(-)
+
+diff --git a/tests/conftest.py b/tests/conftest.py
+index 12b97283..7546aae4 100644
+--- a/tests/conftest.py
++++ b/tests/conftest.py
+@@ -22,13 +22,6 @@ from ._loop import LoopSocket
+ from ._stub_sftp import StubServer, StubSFTPServer
+ from ._util import _support
+
+-from icecream import ic, install as install_ic
+-
+-
+-# Better print() for debugging - use ic()!
+-install_ic()
+-ic.configureOutput(includeContext=True)
+-
+
+ # Perform logging by default; pytest will capture and thus hide it normally,
+ # presenting it on error/failure. (But also allow turning it off when doing
+--
+2.40.1
+
+From a4f96f21450942398b46f2b5f125b89297f3f3f2 Mon Sep 17 00:00:00 2001
+From: =?UTF-8?q?Micha=C5=82=20G=C3=B3rny?= <mgorny@gentoo.org>
+Date: Fri, 26 May 2023 06:18:25 +0200
+Subject: [PATCH] Remove pointless use of Lexicon vendored from invoke with
+ class
+
+---
+ tests/conftest.py | 6 ++++--
+ 1 file changed, 4 insertions(+), 2 deletions(-)
+
+diff --git a/tests/conftest.py b/tests/conftest.py
+index 7546aae4..45362de8 100644
+--- a/tests/conftest.py
++++ b/tests/conftest.py
+@@ -4,8 +4,6 @@ import shutil
+ import threading
+ from pathlib import Path
+
+-from invoke.vendor.lexicon import Lexicon
+-
+ import pytest
+ from paramiko import (
+ SFTPServer,
+@@ -132,6 +130,10 @@ for datum in key_data:
+ datum.insert(0, short)
+
+
++class Lexicon:
++ pass
++
++
+ @pytest.fixture(scope="session", params=key_data, ids=lambda x: x[0])
+ def keys(request):
+ """
+--
+2.40.1
+
diff --git a/dev-python/paramiko/paramiko-3.2.0.ebuild b/dev-python/paramiko/paramiko-3.2.0.ebuild
new file mode 100644
index 000000000000..0bc1727c4cad
--- /dev/null
+++ b/dev-python/paramiko/paramiko-3.2.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="SSH2 protocol library"
+HOMEPAGE="
+ https://www.paramiko.org/
+ https://github.com/paramiko/paramiko/
+ https://pypi.org/project/paramiko/
+"
+SRC_URI="
+ https://github.com/paramiko/paramiko/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+# the release is broken
+# https://github.com/paramiko/paramiko/issues/2245
+KEYWORDS=""
+IUSE="examples server"
+
+RDEPEND="
+ >=dev-python/bcrypt-3.1.3[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.5[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-0.1.7[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-3.2.0-nih-test-deps.patch"
+ )
+
+ if ! use server; then
+ PATCHES+=( "${FILESDIR}/${PN}-3.2.0-disable-server.patch" )
+ fi
+ distutils-r1_src_prepare
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ if use examples; then
+ docinto examples
+ dodoc -r demos/*
+ fi
+}
diff --git a/dev-python/shiboken2/shiboken2-5.15.9.ebuild b/dev-python/shiboken2/shiboken2-5.15.9.ebuild
index 3ea87c229a06..17a7890cac16 100644
--- a/dev-python/shiboken2/shiboken2-5.15.9.ebuild
+++ b/dev-python/shiboken2/shiboken2-5.15.9.ebuild
@@ -29,7 +29,7 @@ S="${WORKDIR}/${MY_P}/sources/shiboken2"
# arbitrarily relicensed. (TODO)
LICENSE="|| ( GPL-2 GPL-3+ LGPL-3 ) GPL-3"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 x86"
+KEYWORDS="amd64 ~arm ~arm64 x86"
IUSE="+docstrings numpy test vulkan"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
diff --git a/dev-python/spake2/files/spake2-0.8-do_not_use_hkdf_package.patch b/dev-python/spake2/files/spake2-0.8-do_not_use_hkdf_package.patch
new file mode 100644
index 000000000000..40e9e17a6843
--- /dev/null
+++ b/dev-python/spake2/files/spake2-0.8-do_not_use_hkdf_package.patch
@@ -0,0 +1,113 @@
+From 930bfabc17748ea3772e6a40b04e84fc4aafcf04 Mon Sep 17 00:00:00 2001
+From: meejah <meejah@meejah.ca>
+Date: Wed, 9 Nov 2022 23:42:33 -0700
+Subject: [PATCH 1/2] use cryptography's HKDF implementation
+
+---
+ setup.py | 2 +-
+ src/spake2/ed25519_basic.py | 2 +-
+ src/spake2/groups.py | 21 ++++++++++++++-------
+ src/spake2/test/test_compat.py | 9 +++++----
+ 4 files changed, 21 insertions(+), 13 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 660f055..ba3cc28 100755
+--- a/setup.py
++++ b/setup.py
+@@ -79,5 +79,5 @@ def abbrev(t):
+ "Programming Language :: Python :: 3.6",
+ "Topic :: Security :: Cryptography",
+ ],
+- install_requires=["hkdf"],
++ install_requires=["cryptography"],
+ )
+diff --git a/src/spake2/ed25519_basic.py b/src/spake2/ed25519_basic.py
+index 1890be7..dbab56d 100644
+--- a/src/spake2/ed25519_basic.py
++++ b/src/spake2/ed25519_basic.py
+@@ -273,7 +273,7 @@ def arbitrary_element(seed): # unknown DL
+ # oversized string (128 bits more than the field size), then reducing
+ # down to Q. But it's comforting, and it's the same technique we use for
+ # converting passwords/seeds to scalars (which *does* need uniformity).
+- hseed = expand_arbitrary_element_seed(seed, (256/8)+16)
++ hseed = expand_arbitrary_element_seed(seed, int((256/8)+16))
+ y = int(binascii.hexlify(hseed), 16) % Q
+
+ # we try successive Y values until we find a valid point
+diff --git a/src/spake2/groups.py b/src/spake2/groups.py
+index de4f75d..66b08e7 100644
+--- a/src/spake2/groups.py
++++ b/src/spake2/groups.py
+@@ -1,6 +1,7 @@
+ from __future__ import division
+ import hashlib
+-from hkdf import Hkdf
++from cryptography.hazmat.primitives.kdf import hkdf
++from cryptography.hazmat.primitives import hashes
+ from .six import integer_types
+ from .util import (size_bits, size_bytes, unbiased_randrange,
+ bytes_to_number, number_to_bytes)
+@@ -63,9 +64,12 @@
+
+
+ def expand_password(data, num_bytes):
+- h = Hkdf(salt=b"", input_key_material=data, hash=hashlib.sha256)
+- info = b"SPAKE2 pw"
+- return h.expand(info, num_bytes)
++ return hkdf.HKDF(
++ algorithm=hashes.SHA256(),
++ length=num_bytes,
++ salt=b"",
++ info=b"SPAKE2 pw"
++ ).derive(data)
+
+ def password_to_scalar(pw, scalar_size_bytes, q):
+ assert isinstance(pw, bytes)
+@@ -77,9 +81,12 @@ def password_to_scalar(pw, scalar_size_bytes, q):
+ return i % q
+
+ def expand_arbitrary_element_seed(data, num_bytes):
+- h = Hkdf(salt=b"", input_key_material=data, hash=hashlib.sha256)
+- info = b"SPAKE2 arbitrary element"
+- return h.expand(info, num_bytes)
++ return hkdf.HKDF(
++ algorithm=hashes.SHA256(),
++ length=num_bytes,
++ salt=b"",
++ info=b"SPAKE2 arbitrary element"
++ ).derive(data)
+
+ class _Element:
+ def __init__(self, group, e):
+diff --git a/src/spake2/test/test_compat.py b/src/spake2/test/test_compat.py
+index 3c636be..1c1340c 100644
+--- a/src/spake2/test/test_compat.py
++++ b/src/spake2/test/test_compat.py
+@@ -1,7 +1,8 @@
+ import unittest
+ from binascii import hexlify, unhexlify
+ from hashlib import sha256
+-from hkdf import Hkdf
++from cryptography.hazmat.primitives.kdf import hkdf
++from cryptography.hazmat.primitives import hashes
+ from .myhkdf import HKDF as myHKDF
+ from spake2 import groups, ed25519_group
+ from spake2.spake2 import (SPAKE2_A, SPAKE2_B, SPAKE2_Symmetric,
+@@ -213,14 +214,14 @@ def test_vectors(self):
+ {"salt": "00", "IKM": "000102030405060708090a0b0c0d0e0f101112131415161718191a1b1c1d1e1f", "info": "", "L": 4, "OKM": "37ad2910"},
+ ]
+
+-class HKDF(unittest.TestCase):
++class TestHKDF(unittest.TestCase):
+ def test_vectors(self):
+ for vector in HKDF_TEST_VECTORS:
+ salt = unhexlify(vector["salt"].encode("ascii"))
+ IKM = unhexlify(vector["IKM"].encode("ascii"))
+ info = unhexlify(vector["info"].encode("ascii"))
+- h = Hkdf(salt=salt, input_key_material=IKM, hash=sha256)
+- digest = h.expand(info, vector["L"])
++ h = hkdf.HKDF(algorithm=hashes.SHA256(), length=vector["L"], salt=salt, info=info)
++ digest = h.derive(IKM)
+ self.assertEqual(digest, myHKDF(IKM, vector["L"], salt, info))
+ #print(hexlify(digest))
+ expected = vector["OKM"].encode("ascii")
diff --git a/dev-python/spake2/spake2-0.8.ebuild b/dev-python/spake2/spake2-0.8-r1.ebuild
index 04d593374ca1..cde90f2aeccb 100644
--- a/dev-python/spake2/spake2-0.8.ebuild
+++ b/dev-python/spake2/spake2-0.8-r1.ebuild
@@ -18,7 +18,11 @@ KEYWORDS="~amd64 ~x86"
S="${WORKDIR}/python-${P}"
RDEPEND="
- dev-python/more-itertools[${PYTHON_USEDEP}]
- dev-python/hkdf[${PYTHON_USEDEP}]"
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-do_not_use_hkdf_package.patch
+)
distutils_enable_tests pytest
diff --git a/dev-python/xarray/xarray-2023.4.2.ebuild b/dev-python/xarray/xarray-2023.4.2.ebuild
index cd1e2bec6ff1..b0d4c39c6ea1 100644
--- a/dev-python/xarray/xarray-2023.4.2.ebuild
+++ b/dev-python/xarray/xarray-2023.4.2.ebuild
@@ -17,7 +17,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
>=dev-python/numpy-1.22[${PYTHON_USEDEP}]
diff --git a/dev-python/zeroconf/Manifest b/dev-python/zeroconf/Manifest
index 3d430384de95..db966c055f70 100644
--- a/dev-python/zeroconf/Manifest
+++ b/dev-python/zeroconf/Manifest
@@ -1 +1,2 @@
DIST zeroconf-0.62.0.tar.gz 141269 BLAKE2B 17efd98394155e415cc9b9b6ff7b2ec6d702613a38e4af8d8e168155a2ecef20f16d4864dc2c62833c9d186d937eca9a5b25846efdc0c21d7bf29f1d911228ca SHA512 d923f23af59dfa09977ec45507c8a02d68a49077652a3fe7d8f23a62e45c525bb431ee5a82c51012d8ba77a7285eaae963a84f0727110780392b0fb7c9966038
+DIST zeroconf-0.63.0.tar.gz 141580 BLAKE2B 22267e2be9118c91b5d7638843e89de0a2838eb1ebca2c233038fc202b8648256193fd8d61523960e1fce110ef7e3c3c06190f5369f700c02cbd047a036a362e SHA512 b899838ddae288b0f0483ca6950871d88ee387769507fe803a68df1cd5657bf9eee2aeecfc2e7685ded5327e70e04cfe445b564f16e3e9191112ddaae7deda18
diff --git a/dev-python/zeroconf/zeroconf-0.63.0.ebuild b/dev-python/zeroconf/zeroconf-0.63.0.ebuild
new file mode 100644
index 000000000000..25239136be56
--- /dev/null
+++ b/dev-python/zeroconf/zeroconf-0.63.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Pure Python Multicast DNS Service Discovery Library (Bonjour/Avahi compatible)"
+HOMEPAGE="
+ https://github.com/python-zeroconf/python-zeroconf/
+ https://pypi.org/project/zeroconf/
+"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/async-timeout-3.0.0[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+# the build system uses custom build script that uses distutils to build
+# C extensions, sigh
+BDEPEND="
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-65.6.3[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # network
+ tests/test_core.py::Framework::test_close_multiple_times
+ tests/test_core.py::Framework::test_launch_and_close
+ tests/test_core.py::Framework::test_launch_and_close_context_manager
+ tests/test_core.py::Framework::test_launch_and_close_v4_v6
+ tests/test_core.py::Framework::test_launch_and_close_v6_only
+ tests/services/test_types.py::ServiceTypesQuery::test_integration_with_listener_ipv6
+
+ # fragile to timeouts (?)
+ tests/services/test_browser.py::test_service_browser_expire_callbacks
+ tests/utils/test_asyncio.py::test_run_coro_with_timeout
+ )
+
+ epytest -o addopts=
+}